<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div class="preview" ng-show="$ctrl.sample">
    Exemple de valeur : <code>{{ $ctrl.sample }}</code>
</div>
<table ng-show="$ctrl.operations.length" class="table table-condensed table-hover m-b-0">
    <thead>
    <tr>
        <th class="p-l-10" style="width: 1px">#</th>
        <th>Traitement</th>
        <th>Description</th>
        <th>Argument(s)</th>
        <th class="p-r-10" style="width: 1px"></th>
    </tr>
    </thead>
    <tbody>
    <tr ng-repeat="op in $ctrl.operations" ng-init="operation = $ctrl.getOperationByDef(op)">
        <th class="p-l-10">{{ $index+1 }}</th>
        <td>{{ operation.label }}</td>
        <td class="text-muted">{{ operation.description }}</td>
        <td>
            <span ng-repeat="arg in operation.args"><code>{{ arg }}</code>&nbsp;</span>
        </td>
        <td class="p-r-10">
            <div class="btn-group">
                <button class="btn btn-default btn-xs dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <span class="fa fa-cog fa-fw"></span> <span class="caret"></span>
                </button>
                <ul class="dropdown-menu dropdown-menu-right">
                    <li ng-show="operation.configurable"><a href="" ng-click="$ctrl.editOperation(operation)"><i class="fa fa-pencil"></i> Modifier</a></li>
                    <li ng-show="operation.idx > 0"><a href="" ng-click="$ctrl.downOperation(operation)"><i class="fa fa-caret-up"></i> Remonter</a></li>
                    <li ng-show="operation.idx < ($ctrl.ngModelCtrl.$modelValue.length - 1)"><a href="" ng-click="$ctrl.upOperation(operation)"><i class="fa fa-caret-down"></i> Descendre</a></li>
                    <li><a href="" ng-click="$ctrl.deleteOperation(operation)" class="text-red"><i class="fa fa-times"></i> Supprimer</a></li>
                </ul>
            </div>
        </td>
    </tr>
    <tr>
        <th class="p-l-10"></th>
        <td colspan="4" class="p-r-10">
            <button type="button" class="btn btn-primary btn-xs" ng-click="$ctrl.addOperation()">
                Ajouter un traitement
            </button>
        </td>
    </tr>
    </tbody>
</table>

<div class="blankslate blankslate-spacious" ng-show="!$ctrl.operations.length">
    <a href="" class="btn btn-primary" ng-click="$ctrl.addOperation()">Ajouter un traitement</a>
</div>

<div class="preview" ng-show="$ctrl.sampleResult">
    Exemple de résultat : <code>{{ $ctrl.sampleResult }}</code>
</div>

